Bug 7774 - segfault when export to png
: segfault when export to png
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dia)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-28 15:11 by
Modified: 2005-10-16 16:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-28 15:11:46
В новой сборке всплыл старый баг:
https://bugzilla.altlinux.org/show_bug.cgi?id=2441#c9

Патч такой же:

--- dia-0.94-orig/app/app_procs.c       2005-08-28 13:35:35 +0400
+++ dia-0.94/app/app_procs.c    2005-08-28 13:40:26 +0400
@@ -404,6 +404,7 @@
   }

   diagdata = g_object_new (DIA_TYPE_DIAGRAM_DATA, NULL);
+  g_object_ref(diagdata);

   if (!inf->import_func(infname,diagdata,inf->user_data)) {
     g_error(_("%s error: need valid input file %s\n"),
------- Comment #1 From 2005-08-28 17:48:16 -------
Да, безобразие, потерялся патч. 
Постараюсь сегодня сделать новую сборку. 
------- Comment #2 From 2005-08-29 15:56:37 -------
Если баг старый, зачем его создавать по новой? :) 
fixed in 0.94-alt10cvs20050825  
------- Comment #3 From 2005-08-29 16:15:31 -------
(In reply to comment #2)
> Если баг старый, зачем его создавать по новой? :) 

#2441 баг совсем другой, правда в рамках него обсуждался и этот. Так что
выделение в отдельный репорт было оправдано (и полезно если апстрим опять
потеряет патч).